/* Body text */
body, p, li, span {
    font-family: 'Space Grotesk', sans-serif !important;
}

/* Headings */
h1, h2, h3, h4, h5, h6 {
    font-family: 'Space Grotesk', sans-serif !important;
}

/* Optional: adjust heading weights */
h1 { font-weight: 700; }
h2 { font-weight: 600; }
h3 { font-weight: 500; }

/* Optional: adjust body font weight */
body, p, li, span {
    font-weight: 400;
}

[data-md-color-primary=indigo] {
  --md-primary-fg-color: rgba(19, 123, 171, 1) !important;
  --md-primary-fg-color--light:rgba(15, 152, 216, 1) !important;
  --md-primary-fg-color--dark:rgba(19, 123, 171, 1) !important;
  --md-primary-bg-color:#fff;
  --md-primary-bg-color--light:#ffffffb3;
  --md-accent-fg-color: rgba(15, 152, 216, 1) !important;
}
[data-md-color-primary="indigo"] .md-footer-meta {
  background-color: rgb(38, 110, 143) !important;
}
[data-md-color-primary="indigo"] .md-footer {
  background-color: rgba(19, 123, 171, 0.8) !important;
  color: var(--md-footer-fg-color);
}

@media screen {
  [data-md-color-scheme="slate"] {
    --md-default-bg-color: #0b1220 !important;
    color-scheme: dark;
  }
}
[data-md-color-primary="black"] {
  --md-primary-fg-color: rgba(19, 123, 171, 1) !important;
  --md-primary-fg-color--light:rgba(15, 152, 216, 1) !important;
  --md-primary-fg-color--dark:rgb(17, 112, 156) !important;
  --md-typeset-a-color: rgb(14 165 233 / 1);
  --md-default-fg-color--light: #475569;
  --md-accent-fg-color: rgb(5, 140, 202)!important;
  --md-typeset-a-color: rgb(14 165 233 / 1) !important;
  --md-typeset-color: #f8fafc !important;
  
}

[data-md-color-primary="black"] .md-header {
  background-color: #090e1a !important;
}

[data-md-color-primary="black"] .md-footer {
  background-color: #090e1a !important;
  color: var(--md-footer-fg-color);
}

[data-md-color-primary="black"] .md-typeset code {
  background-color: #929aad13;
}
[data-md-color-primary="black"] .md-footer-meta {
  background-color: #060a13 !important;
}

[data-md-color-primary="black"] .md-copyright__highlight {
  color: #8a9ab1!important;
}

[data-md-color-primary="black"] .md-footer-meta.md-typeset a {
  color: #586b85;
}

[data-md-color-primary="black"] h1, [data-md-color-primary="black"] h2, [data-md-color-primary="black"] h3, [data-md-color-primary="black"] h4, [data-md-color-primary="black"] h5, [data-md-color-primary="black"] h6 {
  color: #8a9ab1!important;
}


.md-banner__inner {
  font-size: .7rem;
  margin: .6rem auto;
  padding: 0 .8rem;
  font-family: 'Space Grotesk', sans-serif !important;
}
.md-footer-copyright {
  padding-left: 8px;
}

.md-banner {
  background: linear-gradient(
    270deg,
    rgb(1, 121, 177),
    rgb(132, 60, 8),
    rgb(1, 121, 177)
  );

  background-size: 400% 400%;
  animation: gradientFlow 17s ease infinite;

  color: #FFD700;
  text-align: center;
  font-weight: 600;
  font-size: 0.9rem;
  border-bottom: 1px solid #333;
}

/* Smooth gradient movement */
@keyframes gradientFlow {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}


.md-banner a {
  color: #16aef5;
  text-decoration: none;
  font-weight: 700;
}

.md-banner a:hover {
  text-decoration: underline;
}
article.md-content__inner.md-typeset > p:first-child {

  opacity: 0.85;
}

article.md-content__inner.md-typeset > p:first-child a {
  color: inherit;
}
.md-code__content {
  border-radius: 8px !important;
}

.nav-m-icons {
  padding-right: 5px !important;
}
